Skip Menu |
 

This queue is for tickets about the DBIx-Class-InflateColumn-Serializer CPAN distribution.

Report information
The Basics
Id: 104276
Status: open
Priority: 0/
Queue: DBIx-Class-InflateColumn-Serializer

People
Owner: Nobody in particular
Requestors: steve [...] deefs.net
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.07
Fixed in: (no value)



Subject: JSON::MaybeXS should be build_requires, not test_requires
Download (untitled) / with headers
text/plain 392b
Hi, JSON::MaybeXS a required module as of v0.07, but it's only marked as required for testing in the dist.ini file. If tests are skipped, it doesn't get installed, which leads to crashes when the JSON serializer is subsequently used. It looks like fixing this just involves moving JSON::MaybeXS from [Prereqs / TestRequires] to [Prereqs] in the dist.ini file. Hope this helps, Steve Simms
Subject: JSON::MaybeXS should be runtime_requires, not test_requires
Download (untitled) / with headers
text/plain 555b
On 2015-05-06 16:39:20, SSIMMS wrote: Show quoted text
> Hi, > > JSON::MaybeXS a required module as of v0.07, but it's only marked as > required for testing in the dist.ini file. If tests are skipped, it > doesn't get installed, which leads to crashes when the JSON serializer > is subsequently used. > > It looks like fixing this just involves moving JSON::MaybeXS from > [Prereqs / TestRequires] to [Prereqs] in the dist.ini file.
I think that's being done so as to not force everyone to install JSON::MaybeXS if they're not going to use the JSON serialization bits.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.